com::lomiri::location::service::Stub Class Reference

`#include <stub.h>`

Inheritance diagram for com::lomiri::location::service::Stub:
Collaboration diagram for com::lomiri::location::service::Stub:

## Public Member Functions

| Stub (const dbus::Bus::Ptr &connection)
| Stub (const Stub &)=delete
Stub & | operator= (const Stub &)=delete
| ~Stub () noexcept
session::Interface::Ptr | create_session_for_criteria (const Criteria &criteria)
const core::Property< State > & | state () const
core::Property< bool > & | does_satellite_based_positioning ()
core::Property< bool > & | does_report_cell_and_wifi_ids ()
core::Property< bool > & | is_online ()
core::Property< std::map< SpaceVehicle::Key, SpaceVehicle > > & | visible_space_vehicles ()
core::Property< std::vector< std::string > > & | client_applications ()

## Detailed Description

Definition at line 34 of file service/stub.h.

## Constructor & Destructor Documentation

## Stub() [1/2]

com::lomiri::location::service::Stub::Stub | ( | const dbus::Bus::Ptr & | connection | ) |

Referenced by operator=(), and Stub().

## Stub() [2/2]

com::lomiri::location::service::Stub::Stub | ( | const Stub & |  | ) |

delete

References Stub().

Here is the call graph for this function:

## ~Stub()

com::lomiri::location::service::Stub::~Stub | ( |  | ) |

noexcept

## Member Function Documentation

## client_applications()

core::Property< std::vector< std::string > > & com::lomiri::location::service::Stub::client_applications | ( |  | ) |

References client_applications().

Referenced by client_applications().

Here is the call graph for this function:

## create_session_for_criteria()

session::Interface::Ptr com::lomiri::location::service::Stub::create_session_for_criteria | ( | const Criteria & | criteria | ) |

References create_session_for_criteria().

Referenced by create_session_for_criteria().

Here is the call graph for this function:

## does_report_cell_and_wifi_ids()

core::Property< bool > & com::lomiri::location::service::Stub::does_report_cell_and_wifi_ids | ( |  | ) |

References does_report_cell_and_wifi_ids().

Referenced by does_report_cell_and_wifi_ids().

Here is the call graph for this function:

## does_satellite_based_positioning()

core::Property< bool > & com::lomiri::location::service::Stub::does_satellite_based_positioning | ( |  | ) |

References does_satellite_based_positioning().

Referenced by does_satellite_based_positioning().

Here is the call graph for this function:

## is_online()

core::Property< bool > & com::lomiri::location::service::Stub::is_online | ( |  | ) |

References is_online().

Referenced by is_online().

Here is the call graph for this function:

## operator=()

Stub & com::lomiri::location::service::Stub::operator= | ( | const Stub & |  | ) |

delete

References Stub().

Here is the call graph for this function:

## state()

const core::Property< State > & com::lomiri::location::service::Stub::state | ( |  | ) | const

References state().

Referenced by state().

Here is the call graph for this function:

## visible_space_vehicles()

core::Property< std::map< SpaceVehicle::Key, SpaceVehicle > > & com::lomiri::location::service::Stub::visible_space_vehicles | ( |  | ) |

References visible_space_vehicles().

Referenced by visible_space_vehicles().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- service/stub.h